Debian Bug report logs - #467908
libhtml-fromtext-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libhtml-fromtext-perl; Maintainer for libhtml-fromtext-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libhtml-fromtext-perl is src:libhtml-fromtext-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:25:13 UTC

Severity: important

Tags: patch

Found in version libhtml-fromtext-perl/2.05-5

Fixed in version libhtml-fromtext-perl/2.05-5.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Francesco Cecconi <francesco.cecconi@gmail.com>:
Bug#467908; Package libhtml-fromtext-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Francesco Cecconi <francesco.cecconi@gmail.com>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libhtml-fromtext-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:18 +0200
Package: libhtml-fromtext-perl
Version: 2.05-5
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#467908; Package libhtml-fromtext-perl. Full text and rfc822 format available.

Acknowledgement sent to Francesco Cecconi <francesco.cecconi@gmail.com>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 467908@bugs.debian.org (full text, mbox):

From: Francesco Cecconi <francesco.cecconi@gmail.com>
To: Niko Tyni <ntyni@debian.org>, 467908@bugs.debian.org
Subject: Re: Bug#467908: libhtml-fromtext-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 20:47:42 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Tuesday 26 February 2008, Niko Tyni wrote:
> Package: libhtml-fromtext-perl
> Version: 2.05-5
> Severity: important
> User: debian-perl@lists.debian.org
> Usertags: perl-5.10-ftbfs-rmdir
> 
> This package fails to build with Perl 5.10.0 (currently in
> experimental) because of a bug in debian/rules that has been
> uncovered by a change in ExtUtils::Install.
> 
I'm looking a sponsor for update the package [1] with bug fix. :) 

[1]: http://mentors.debian.net/debian/pool/main/l/libhtml-fromtext-perl

Cheers,
Francesco
-- 
Francesco Cecconi 
francesco.cecconi@gmail.com
GPG Key ID: 11F6E468 | '|BrAnD|'
Debian Pkg Maintainer | www.debian.org
Kde Italian team | www.kde-it.org 
Nmapsi4 Core Developer | nmapsi4.netsons.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Cecconi <francesco.cecconi@gmail.com>:
Bug#467908; Package libhtml-fromtext-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Francesco Cecconi <francesco.cecconi@gmail.com>. Full text and rfc822 format available.

Message #15 received at 467908@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467908@bugs.debian.org
Subject: libhtml-fromtext-perl: diff for NMU version 2.05-5.1
Date: Sat, 5 Apr 2008 23:06:26 +0100
[Message part 1 (text/plain, inline)]
tags 467908 + patch
thanks

Hi,

Attached is the diff for my libhtml-fromtext-perl 2.05-5.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libhtml-fromtext-perl-2.05-5.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:09:10 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 467908-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467908-close@bugs.debian.org
Subject: Bug#467908: fixed in libhtml-fromtext-perl 2.05-5.1
Date: Sat, 05 Apr 2008 22:17:20 +0000
Source: libhtml-fromtext-perl
Source-Version: 2.05-5.1

We believe that the bug you reported is fixed in the latest version of
libhtml-fromtext-perl, which is due to be installed in the Debian FTP archive:

libhtml-fromtext-perl_2.05-5.1.diff.gz
  to pool/main/libh/libhtml-fromtext-perl/libhtml-fromtext-perl_2.05-5.1.diff.gz
libhtml-fromtext-perl_2.05-5.1.dsc
  to pool/main/libh/libhtml-fromtext-perl/libhtml-fromtext-perl_2.05-5.1.dsc
libhtml-fromtext-perl_2.05-5.1_all.deb
  to pool/main/libh/libhtml-fromtext-perl/libhtml-fromtext-perl_2.05-5.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467908@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libhtml-fromtext-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:13 +0100
Source: libhtml-fromtext-perl
Binary: libhtml-fromtext-perl
Architecture: source all
Version: 2.05-5.1
Distribution: unstable
Urgency: low
Maintainer: Francesco Cecconi <francesco.cecconi@gmail.com>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libhtml-fromtext-perl - Mark up text as HTML
Closes: 467908
Changes: 
 libhtml-fromtext-perl (2.05-5.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467908
Files: 
 ebfcd1cd942464e74393d31329754781 835 perl optional libhtml-fromtext-perl_2.05-5.1.dsc
 8a742fbf5991ea736aee2ae142bc2bb8 3358 perl optional libhtml-fromtext-perl_2.05-5.1.diff.gz
 2afd47b7f29ae3556cc2e8a686dcf8d0 15828 perl optional libhtml-fromtext-perl_2.05-5.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/M1NIW6CNDsByMRAgfAAJsE0AR7wG9lKLQHj8CZ0sPIOPV2qQCfczB3
gcJNoN/UjXPcYRMwjJ94Vtg=
=dHgm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:33:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:53:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.